#include <stdio.h>

void swap(int v[], int i, int j)
{
    int temp;

    temp = v[i];
    v[i] = v[j];
    v[j] = temp;
}

void qsort(int v[], int left, int right)
{
    int i, last;
    void swap(int v[], int i, int j);

    if (left >= right) 
        return;
    swap(v, left, (left+right)/2);
    last = left;
    for (i = left+1; i <= right; i++)
        if (v[i] < v[left])
            swap(v, ++last, i);
    swap(v, left, last);
    qsort(v ,left, last-1);
    qsort(v, last+1, right);
}

int main()
{
    int i = 4;
    int arr[] = {5, 4, 3, 2, 1}; 

    qsort(arr, 0, 5);
    while(i--)
        printf("%i", arr[i]);
    printf("\n");
}
